sc::PW92LCFunctional(3)

NAME
sc::PW92LCFunctional -

Implements the PW92 local (LSDA) correlation term.

SYNOPSIS

#include <functional.h>

Inherits sc::LSDACFunctional.

  Public Member Functions
PW92LCFunctional (const Ref< KeyVal > &)
PW92LCFunctional (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void point_lc (const PointInputData &, PointOutputData &, double &, double &, double &)

  Protected Member Functions
double F (double x, double A, double alpha_1, double beta_1, double beta_2, double beta_3, double beta_4, double p)
double dFdr_s (double x, double A, double alpha_1, double beta_1, double beta_2, double beta_3, double beta_4, double p)

  Additional Inherited Members

Detailed Description

Implements the PW92 local (LSDA) correlation term. This local correlation functional is used in PW91 and PBE.

J. P. Perdew and Y. Wang. Phys. Rev. B, 45, 13244, 1992.

Member Function Documentation

  void sc::PW92LCFunctional::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::LSDACFunctional.

Author

Generated automatically by Doxygen for MPQC from the source code.